Bug 10898 - Redhat 6.1 pump causes eth0 lockup during boot
Redhat 6.1 pump causes eth0 lockup during boot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-18 14:47 EDT by Chris Green
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:40:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Green 2000-04-18 14:47:10 EDT
When I setup redhat 6.1 on a system at work, I setup my eth0 "realtek" to
use dhcp.  Upon rebooting, I noticed it locked up, so I shut the system
down and removed the card.  Upon booting again, I noticed that the system
was using the pump program to pull the dhcp.  Well, at work were using a
windows98 system to deliver internet (laugh).  Through the internet
connectivity sharing that ms uses, it sends out a very weak dhcp signal, or
possibly modified version of dhcp.  So, no matter what I tryed, weather
bootp, dhcp, or entered the network information manually, it still locked
up.  How I worked around this:  I restarted, removed the ethernet card and
the configuration, I then did an rpm -e pump to remove it from the system.
I then installed dhcpcd from the cd.  After that, I rebooted and
reinstalled the ethernet card.  My system seen the card on boot, but
delayed the startup cause pump was not installed, after logging in as root,
I started dhcpcd and used the command "ifconfig" and noticed I was on the
network.  I tryed to ping a remote host on the internet, and was able to
ping without no problem.  I just thought, that maybe you should setup a way
to use pump or dhcpcd during the ethernet card setup.
Comment 1 Elliot Lee 2001-07-19 14:05:37 EDT
Apologies for the unresponsiveness of the previous pump packager...

This old problem report should be solved in either 7.1 (which would have a newer
pump), or rawhide, which contains dhcpcd as a replacement for pump.

Note You need to log in before you can comment on or make changes to this bug.